## ros-melodic-pr2-mechanism-model 1.8.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,23 +41,25 @@
 pr2_enable_rpath(pr2_mechanism_model)
 target_link_libraries(pr2_mechanism_model ${catkin_LIBRARIES} )
 
-catkin_add_gtest(test_chain test/test_chain.cpp)
-target_link_libraries(test_chain pr2_mechanism_model ${catkin_LIBRARIES})
+if(CATKIN_ENABLE_TESTING)
+  catkin_add_gtest(test_chain test/test_chain.cpp)
+  target_link_libraries(test_chain pr2_mechanism_model ${catkin_LIBRARIES})
 
-catkin_add_gtest(test_wrist_transmission test/test_wrist_transmission.cpp)
-target_link_libraries(test_wrist_transmission pr2_mechanism_model ${catkin_LIBRARIES})
+  catkin_add_gtest(test_wrist_transmission test/test_wrist_transmission.cpp)
+  target_link_libraries(test_wrist_transmission pr2_mechanism_model ${catkin_LIBRARIES})
 
-# test joint calibration simulator for writing actuator state optical flags
-#  in propagatePositionBackwards() call
-add_executable(test_joint_calibration_simulator 
-   test/test_joint_calibration_simulator.cpp
-   src/joint_calibration_simulator.cpp)
-target_link_libraries(test_joint_calibration_simulator pr2_mechanism_model ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
-add_dependencies(test_joint_calibration_simulator gtest gtest_main)
-add_dependencies(tests test_joint_calibration_simulator)
-set_target_properties(test_joint_calibration_simulator PROPERTIES EXCLUDE_FROM_ALL TRUE)
+  # test joint calibration simulator for writing actuator state optical flags
+  #  in propagatePositionBackwards() call
+  add_executable(test_joint_calibration_simulator
+    test/test_joint_calibration_simulator.cpp
+    src/joint_calibration_simulator.cpp)
+  target_link_libraries(test_joint_calibration_simulator pr2_mechanism_model ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
+  add_dependencies(test_joint_calibration_simulator gtest gtest_main)
+  add_dependencies(tests test_joint_calibration_simulator)
+  set_target_properties(test_joint_calibration_simulator PROPERTIES EXCLUDE_FROM_ALL TRUE)
 
-add_rostest(test/test_joint_calibration_simulator.launch)
+  add_rostest(test/test_joint_calibration_simulator.launch)
+endif()
 
 install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
