=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-pr2-mechanism-model
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
 Build-Depends: debhelper (>= 9.0.0), liburdfdom-dev, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-hardware-interface (>= 0.13.0), ros-melodic-kdl-parser, ros-melodic-pluginlib, ros-melodic-pr2-hardware-interface, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-urdf
 Homepage: http://ros.org/wiki/pr2_mechanism_model
